cURL
curl --request POST \ --url https://api.equos.ai/v3/characters \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "livekitIdentity": "<string>", "client": "<string>", "faceId": "<string>", "voiceId": "<string>", "brainId": "<string>", "knowledgeBaseId": "<string>", "search": false, "elevenlabsAgentId": "<string>" } '
{ "id": "<string>", "organizationId": "<string>", "name": "<string>", "livekitIdentity": "<string>", "search": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "client": "<string>", "elevenlabsAgentId": "<string>", "faceId": "<string>", "voiceId": "<string>", "brainId": "<string>", "knowledgeBaseId": "<string>", "face": { "id": "<string>", "identity": "tommy", "organizationId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "client": "<string>", "description": "<string>", "thumbnailUrl": "<string>", "referenceImgUrl": "<string>" }, "voice": { "id": "<string>", "organizationId": "<string>", "identity": "Puck", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "client": "<string>", "instructions": "<string>" }, "brain": { "id": "<string>", "organizationId": "<string>", "instructions": "<string>", "greetingMessage": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "client": "<string>" }, "knowledgeBase": { "id": "<string>", "organizationId": "<string>", "name": "<string>", "description": "<string>", "documents": [ { "id": "<string>", "knowledgeBaseId": "<string>", "name": "<string>", "description": "<string>", "size": 123, "status": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "client": "<string>" } }
Client identifier associated with the character. This is useful to segment resources by client.
Show child attributes